Name:           osm-gps-map
Version:        1.1.0
Release:    2%{?dist}
Summary:        Gtk+ widget for displaying OpenStreetMap tiles

License:        GPLv2
URL:            http://nzjrs.github.com/%{name}/
Source0:        https://github.com/nzjrs/%{name}/releases/download/%{version}/%{name}-%{version}.tar.gz

BuildRequires: make
BuildRequires:  gnome-common
BuildRequires:  gobject-introspection-devel
BuildRequires:  gtk-doc
BuildRequires:  gtk3-devel
BuildRequires:  libsoup-devel


%description
A Gtk+ widget that when given GPS co-ordinates, draws a GPS track, and
points of interest on a moving map display. Downloads map data from a
number of websites, including openstreetmap.org.

%package devel
Summary:        Development files for the osm-gps-map Gtk+ widget
Requires:       %{name} = %{version}-%{release}

%description devel
The development files for the osm-gps-map Gtk+ widget

%package gobject
Summary:        GObject introspection bindings for %{name}
Requires:       %{name} = %{version}-%{release}
Requires:       gobject-introspection

%description gobject
GObject introspection bindings for %{name}.


%prep
%setup0 -q


%build
%configure --disable-static
make V=1 %{?_smp_mflags}


%install
make install DESTDIR=%{buildroot}


%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig


%files
%doc AUTHORS COPYING README NEWS ChangeLog
%exclude %{_libdir}/*.la
%exclude %{_datadir}/gtk-doc/html/libosmgpsmap/

%{_libdir}/libosmgpsmap-1.0.so.*

%files gobject
%{_libdir}/girepository-1.0/OsmGpsMap-1.0.typelib

%files devel
%{_includedir}/osmgpsmap-1.0
%{_libdir}/libosmgpsmap-1.0.so
%{_libdir}/pkgconfig/osmgpsmap-1.0.pc
%{_datarootdir}/gir-1.0/OsmGpsMap-1.0.gir


%changelog
* Wed Jun 11 2025 bbrucezhang <bbrucezhang@tencent.com> - 1.1.0-2
- Rebuilt for loongarch64

* Wed Jul 24 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.1.0-1
- initial build
